mysqli::__construct
mysqli::dump_debug_info
MySQLi
PHP Manual

# mysqli::debug

# mysqli_debug

(PHP 5)

mysqli::debug -- mysqli_debug — Performs debugging operations

### Description

Object oriented style (method):

bool mysqli::debug ( string `$message` )

Procedural style:

bool mysqli_debug ( string `$message` )

Performs debugging operations using the Fred Fish debugging library.

### Parameters

`message`

  A string representing the debugging operation to perform

### Return Values

Returns `TRUE`.

### Notes

> Note: To use the mysqli_debug() function you must complile the MySQL client library to support debugging.

### Examples

Example #1 Generating a Trace File

`<?php
/* Create a trace file in '/tmp/client.trace' on the local (client) machine: */
mysqli_debug("d:t:0,/tmp/client.trace");
?>`

### See Also

- mysqli_dump_debug_info()
- mysqli_report()

mysqli::__construct
mysqli::dump_debug_info
MySQLi
PHP Manual